package com.enteprise.benefit_monitor_assess.domain;

import com.enteprise.common.annotation.Excel;
import com.enteprise.common.core.domain.BaseEntity;

public class AvgBenefit extends BaseEntity {
    @Excel(name = "企业名称")
    private String enterpriseName;


    private Double industrialValueAvg;

    private Double paidTaxAvg;

    /** 行业代码 */
    @Excel(name = "行业代码")
    private String code;

    private String year;

    private String season;

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getSeason() {
        return season;
    }

    public void setSeason(String season) {
        this.season = season;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public Double getIndustrialValueAvg() {
        return industrialValueAvg;
    }

    public void setIndustrialValueAvg(Double industrialValueAvg) {
        this.industrialValueAvg = industrialValueAvg;
    }

    public Double getPaidTaxAvg() {
        return paidTaxAvg;
    }

    public void setPaidTaxAvg(Double paidTaxAvg) {
        this.paidTaxAvg = paidTaxAvg;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
}
