package com.enteprise.benefit_monitor_assess.domain;

import com.enteprise.common.core.domain.BaseEntity;

public class IndustrySummary extends BaseEntity {


    private Double industrialValueSum;

    private Double paidTaxSum;

    private int enterpriseNumber;

    public IndustrySummary(double totalIndustrialValue, double totalPaidTax, int uniqueEnterpriseCount) {
        this.industrialValueSum = totalIndustrialValue;
        this.paidTaxSum = totalPaidTax;
        this.enterpriseNumber = uniqueEnterpriseCount;
    }

    public Integer getEnterpriseNumber() {
        return enterpriseNumber;
    }

    public void setEnterpriseNumber(Integer enterpriseNumber) {
        this.enterpriseNumber = enterpriseNumber;
    }

    public Double getIndustrialValueSum() {
        return industrialValueSum;
    }

    public void setIndustrialValueSum(Double industrialValueSum) {
        this.industrialValueSum = industrialValueSum;
    }

    public Double getPaidTaxSum() {
        return paidTaxSum;
    }

    public void setPaidTaxSum(Double paidTaxSum) {
        this.paidTaxSum = paidTaxSum;
    }
}
