package com.enteprise.industry.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.enteprise.common.annotation.Excel;
import com.enteprise.common.core.domain.BaseEntity;

/**
 * industry对象 industry
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
public class Industry extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 行业大类 */
    @Excel(name = "行业大类")
    private String industryName;

    /** 行业代码 */
    @Excel(name = "行业代码")
    private String code;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setIndustryName(String industryName) 
    {
        this.industryName = industryName;
    }

    public String getIndustryName() 
    {
        return industryName;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("industryName", getIndustryName())
            .append("code", getCode())
            .toString();
    }
}
