package com.enteprise.industry_run.service;

import java.util.List;
import com.enteprise.industry_run.domain.EnterpriseBaseDataTotal;

/**
 * industry_runService接口
 * 
 * @author ruoyi
 * @date 2024-11-13
 */
public interface IEnterpriseBaseDataTotalService 
{
    /**
     * 查询industry_run
     * 
     * @param enterpriseName industry_run主键
     * @return industry_run
     */
    public EnterpriseBaseDataTotal selectEnterpriseBaseDataTotalByEnterpriseName(String enterpriseName);

    /**
     * 查询industry_run列表
     * 
     * @param enterpriseBaseDataTotal industry_run
     * @return industry_run集合
     */
    public List<EnterpriseBaseDataTotal> selectEnterpriseBaseDataTotalList(EnterpriseBaseDataTotal enterpriseBaseDataTotal);

    /**
     * 新增industry_run
     * 
     * @param enterpriseBaseDataTotal industry_run
     * @return 结果
     */
    public int insertEnterpriseBaseDataTotal(EnterpriseBaseDataTotal enterpriseBaseDataTotal);

    /**
     * 修改industry_run
     * 
     * @param enterpriseBaseDataTotal industry_run
     * @return 结果
     */
    public int updateEnterpriseBaseDataTotal(EnterpriseBaseDataTotal enterpriseBaseDataTotal);

    /**
     * 批量删除industry_run
     * 
     * @param enterpriseNames 需要删除的industry_run主键集合
     * @return 结果
     */
    public int deleteEnterpriseBaseDataTotalByEnterpriseNames(String[] enterpriseNames);

    /**
     * 删除industry_run信息
     * 
     * @param enterpriseName industry_run主键
     * @return 结果
     */
    public int deleteEnterpriseBaseDataTotalByEnterpriseName(String enterpriseName);
}
