package com.enteprise.predicttotal.service;

import java.util.List;
import com.enteprise.predicttotal.domain.Predicttotal;

/**
 * predicttotalService接口
 * 
 * @author ruoyi
 * @date 2024-09-26
 */
public interface IPredicttotalService 
{
    /**
     * 查询predicttotal
     * 
     * @param id predicttotal主键
     * @return predicttotal
     */
    public Predicttotal selectPredicttotalById(Long id);

    /**
     * 查询predicttotal列表
     * 
     * @param predicttotal predicttotal
     * @return predicttotal集合
     */
    public List<Predicttotal> selectPredicttotalList(Predicttotal predicttotal);

    /**
     * 新增predicttotal
     * 
     * @param predicttotal predicttotal
     * @return 结果
     */
    public int insertPredicttotal(Predicttotal predicttotal);

    /**
     * 修改predicttotal
     * 
     * @param predicttotal predicttotal
     * @return 结果
     */
    public int updatePredicttotal(Predicttotal predicttotal);

    /**
     * 批量删除predicttotal
     * 
     * @param ids 需要删除的predicttotal主键集合
     * @return 结果
     */
    public int deletePredicttotalByIds(Long[] ids);

    /**
     * 删除predicttotal信息
     * 
     * @param id predicttotal主键
     * @return 结果
     */
    public int deletePredicttotalById(Long id);
}
