package com.enteprise.predictyear.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.enteprise.common.annotation.Excel;
import com.enteprise.common.core.domain.BaseEntity;

/**
 * predictyear对象 predictyear
 * 
 * @author ruoyi
 * @date 2024-09-26
 */
public class Predictyear extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String enterpriseName;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String location;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String code;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long totalIndustrialValuePredict;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long taxableIncomePredict;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long paidTaxPredict;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long energyConsumePredict;

    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long powerConsumePredict;

    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long fundingConsumePredict;


    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String year;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String month;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String model;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setEnterpriseName(String enterpriseName) 
    {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseName() 
    {
        return enterpriseName;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setTotalIndustrialValuePredict(Long totalIndustrialValuePredict) 
    {
        this.totalIndustrialValuePredict = totalIndustrialValuePredict;
    }

    public Long getTotalIndustrialValuePredict() 
    {
        return totalIndustrialValuePredict;
    }
    public void setTaxableIncomePredict(Long taxableIncomePredict) 
    {
        this.taxableIncomePredict = taxableIncomePredict;
    }

    public Long getTaxableIncomePredict() 
    {
        return taxableIncomePredict;
    }
    public void setPaidTaxPredict(Long paidTaxPredict) 
    {
        this.paidTaxPredict = paidTaxPredict;
    }

    public Long getPaidTaxPredict() 
    {
        return paidTaxPredict;
    }
    public void setEnergyConsumePredict(Long energyConsumePredict) 
    {
        this.energyConsumePredict = energyConsumePredict;
    }

    public void setPowerConsumePredict(Long powerConsumePredict)
    {
        this.powerConsumePredict = powerConsumePredict;
    }

    public Long getPowerConsumePredict()
    {
        return powerConsumePredict;
    }

    public void setFundingConsumePredict(Long fundingConsumePredict)
    {
        this.fundingConsumePredict = fundingConsumePredict;
    }

    public Long getFundingConsumePredict()
    {
        return fundingConsumePredict;
    }

    public Long getEnergyConsumePredict() 
    {
        return energyConsumePredict;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setMonth(String month) 
    {
        this.month = month;
    }

    public String getMonth() 
    {
        return month;
    }
    public void setModel(String model) 
    {
        this.model = model;
    }

    public String getModel() 
    {
        return model;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("enterpriseName", getEnterpriseName())
            .append("location", getLocation())
            .append("code", getCode())
            .append("totalIndustrialValuePredict", getTotalIndustrialValuePredict())
            .append("taxableIncomePredict", getTaxableIncomePredict())
            .append("paidTaxPredict", getPaidTaxPredict())
            .append("energyConsumePredict", getEnergyConsumePredict())
                .append("powerConsumePredict", getPowerConsumePredict())
                .append("fundingConsumePredict", getFundingConsumePredict())
            .append("year", getYear())
            .append("month", getMonth())
            .append("model", getModel())
            .toString();
    }
}
