package com.enteprise.run_data_year.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.enteprise.common.annotation.Excel;
import com.enteprise.common.core.domain.BaseEntity;

/**
 * run_data_year对象 enterprise_run_data_year
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
public class EnterpriseRunDataYear extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String enterpriseName;

    /** 坐落地 */
    @Excel(name = "坐落地")
    private String location;

    /** 行业代码 */
    @Excel(name = "行业代码")
    private String code;

    /** 电力消费 */
    @Excel(name = "电力消费")
    private Long powerConsume;

    /** 燃气消费 */
    @Excel(name = "燃气消费")
    private Long energyConsume;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 月份 */
    @Excel(name = "月份")
    private String month;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setEnterpriseName(String enterpriseName) 
    {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseName() 
    {
        return enterpriseName;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setPowerConsume(Long powerConsume) 
    {
        this.powerConsume = powerConsume;
    }

    public Long getPowerConsume() 
    {
        return powerConsume;
    }
    public void setEnergyConsume(Long energyConsume) 
    {
        this.energyConsume = energyConsume;
    }

    public Long getEnergyConsume() 
    {
        return energyConsume;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setMonth(String month) 
    {
        this.month = month;
    }

    public String getMonth() 
    {
        return month;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("enterpriseName", getEnterpriseName())
            .append("location", getLocation())
            .append("code", getCode())
            .append("powerConsume", getPowerConsume())
            .append("energyConsume", getEnergyConsume())
            .append("year", getYear())
            .append("month", getMonth())
            .toString();
    }
}
