package com.enteprise.run_data_year.mapper;

import java.util.List;
import com.enteprise.run_data_year.domain.EnterpriseRunDataYear;

/**
 * run_data_yearMapper接口
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
public interface EnterpriseRunDataYearMapper 
{
    /**
     * 查询run_data_year
     * 
     * @param id run_data_year主键
     * @return run_data_year
     */
    public EnterpriseRunDataYear selectEnterpriseRunDataYearById(Long id);

    /**
     * 查询run_data_year列表
     * 
     * @param enterpriseRunDataYear run_data_year
     * @return run_data_year集合
     */
    public List<EnterpriseRunDataYear> selectEnterpriseRunDataYearList(EnterpriseRunDataYear enterpriseRunDataYear);

    /**
     * 新增run_data_year
     * 
     * @param enterpriseRunDataYear run_data_year
     * @return 结果
     */
    public int insertEnterpriseRunDataYear(EnterpriseRunDataYear enterpriseRunDataYear);

    /**
     * 修改run_data_year
     * 
     * @param enterpriseRunDataYear run_data_year
     * @return 结果
     */
    public int updateEnterpriseRunDataYear(EnterpriseRunDataYear enterpriseRunDataYear);

    /**
     * 删除run_data_year
     * 
     * @param id run_data_year主键
     * @return 结果
     */
    public int deleteEnterpriseRunDataYearById(Long id);

    /**
     * 批量删除run_data_year
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEnterpriseRunDataYearByIds(Long[] ids);
}
