package com.enteprise.season.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.enteprise.common.annotation.Excel;
import com.enteprise.common.core.domain.BaseEntity;

/**
 * season对象 enterprise_base_data_season
 * 
 * @author ruoyi
 * @date 2024-09-26
 */
public class EnterpriseBaseDataSeason extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String enterpriseName;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String location;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String code;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String mainBusiness;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long landArea;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long totalIndustrialValue;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long gdp;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long taxableIncome;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long paidTax;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long mainBusinessIncome;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long employeeNumber;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long profit;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long ownerEquity;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long funding;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long energyConsume;

    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long powerConsume;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String year;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String season;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setEnterpriseName(String enterpriseName) 
    {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseName() 
    {
        return enterpriseName;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setMainBusiness(String mainBusiness) 
    {
        this.mainBusiness = mainBusiness;
    }

    public String getMainBusiness() 
    {
        return mainBusiness;
    }
    public void setLandArea(Long landArea) 
    {
        this.landArea = landArea;
    }

    public Long getLandArea() 
    {
        return landArea;
    }
    public void setTotalIndustrialValue(Long totalIndustrialValue) 
    {
        this.totalIndustrialValue = totalIndustrialValue;
    }

    public Long getTotalIndustrialValue() 
    {
        return totalIndustrialValue;
    }
    public void setGdp(Long gdp) 
    {
        this.gdp = gdp;
    }

    public Long getGdp() 
    {
        return gdp;
    }
    public void setTaxableIncome(Long taxableIncome) 
    {
        this.taxableIncome = taxableIncome;
    }

    public Long getTaxableIncome() 
    {
        return taxableIncome;
    }
    public void setPaidTax(Long paidTax) 
    {
        this.paidTax = paidTax;
    }

    public Long getPaidTax() 
    {
        return paidTax;
    }
    public void setMainBusinessIncome(Long mainBusinessIncome) 
    {
        this.mainBusinessIncome = mainBusinessIncome;
    }

    public Long getMainBusinessIncome() 
    {
        return mainBusinessIncome;
    }
    public void setEmployeeNumber(Long employeeNumber) 
    {
        this.employeeNumber = employeeNumber;
    }

    public Long getEmployeeNumber() 
    {
        return employeeNumber;
    }
    public void setProfit(Long profit) 
    {
        this.profit = profit;
    }

    public Long getProfit() 
    {
        return profit;
    }
    public void setOwnerEquity(Long ownerEquity) 
    {
        this.ownerEquity = ownerEquity;
    }

    public Long getOwnerEquity() 
    {
        return ownerEquity;
    }
    public void setFunding(Long funding) 
    {
        this.funding = funding;
    }

    public Long getFunding() 
    {
        return funding;
    }
    public void setEnergyConsume(Long energyConsume) 
    {
        this.energyConsume = energyConsume;
    }

    public Long getEnergyConsume() 
    {
        return energyConsume;
    }

    public void setPowerConsume(Long powerConsume)
    {
        this.powerConsume = powerConsume;
    }

    public Long getPowerConsume()
    {
        return powerConsume;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setSeason(String season)
    {
        this.season = season;
    }

    public String getSeason()
    {
        return season;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("enterpriseName", getEnterpriseName())
            .append("location", getLocation())
            .append("code", getCode())
            .append("mainBusiness", getMainBusiness())
            .append("landArea", getLandArea())
            .append("totalIndustrialValue", getTotalIndustrialValue())
            .append("gdp", getGdp())
            .append("taxableIncome", getTaxableIncome())
            .append("paidTax", getPaidTax())
            .append("mainBusinessIncome", getMainBusinessIncome())
            .append("employeeNumber", getEmployeeNumber())
            .append("profit", getProfit())
            .append("ownerEquity", getOwnerEquity())
            .append("funding", getFunding())
            .append("energyConsume", getEnergyConsume())
                .append("powerConsume", getPowerConsume())
            .append("year", getYear())
            .append("season", getSeason())
            .toString();
    }
}
