package com.enteprise.base_data_month.service;

import java.util.List;
import com.enteprise.base_data_month.domain.EnterpriseBaseDataMonth;

/**
 * base_data_monthService接口
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
public interface IEnterpriseBaseDataMonthService 
{
    /**
     * 查询base_data_month
     * 
     * @param id base_data_month主键
     * @return base_data_month
     */
    public EnterpriseBaseDataMonth selectEnterpriseBaseDataMonthById(Long id);

    /**
     * 查询base_data_month列表
     * 
     * @param enterpriseBaseDataMonth base_data_month
     * @return base_data_month集合
     */
    public List<EnterpriseBaseDataMonth> selectEnterpriseBaseDataMonthList(EnterpriseBaseDataMonth enterpriseBaseDataMonth);

    /**
     * 新增base_data_month
     * 
     * @param enterpriseBaseDataMonth base_data_month
     * @return 结果
     */
    public int insertEnterpriseBaseDataMonth(EnterpriseBaseDataMonth enterpriseBaseDataMonth);

    /**
     * 修改base_data_month
     * 
     * @param enterpriseBaseDataMonth base_data_month
     * @return 结果
     */
    public int updateEnterpriseBaseDataMonth(EnterpriseBaseDataMonth enterpriseBaseDataMonth);

    /**
     * 批量删除base_data_month
     * 
     * @param ids 需要删除的base_data_month主键集合
     * @return 结果
     */
    public int deleteEnterpriseBaseDataMonthByIds(Long[] ids);

    /**
     * 删除base_data_month信息
     * 
     * @param id base_data_month主键
     * @return 结果
     */
    public int deleteEnterpriseBaseDataMonthById(Long id);
}
