package com.enteprise.base_data_year.mapper;

import java.util.List;
import com.enteprise.base_data_year.domain.EnterpriseBaseDataYear;

/**
 * base_data_yearMapper接口
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
public interface EnterpriseBaseDataYearMapper 
{
    /**
     * 查询base_data_year
     * 
     * @param id base_data_year主键
     * @return base_data_year
     */
    public EnterpriseBaseDataYear selectEnterpriseBaseDataYearById(Long id);

    /**
     * 查询base_data_year列表
     * 
     * @param enterpriseBaseDataYear base_data_year
     * @return base_data_year集合
     */
    public List<EnterpriseBaseDataYear> selectEnterpriseBaseDataYearList(EnterpriseBaseDataYear enterpriseBaseDataYear);

    /**
     * 新增base_data_year
     * 
     * @param enterpriseBaseDataYear base_data_year
     * @return 结果
     */
    public int insertEnterpriseBaseDataYear(EnterpriseBaseDataYear enterpriseBaseDataYear);

    /**
     * 修改base_data_year
     * 
     * @param enterpriseBaseDataYear base_data_year
     * @return 结果
     */
    public int updateEnterpriseBaseDataYear(EnterpriseBaseDataYear enterpriseBaseDataYear);

    /**
     * 删除base_data_year
     * 
     * @param id base_data_year主键
     * @return 结果
     */
    public int deleteEnterpriseBaseDataYearById(Long id);

    /**
     * 批量删除base_data_year
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEnterpriseBaseDataYearByIds(Long[] ids);
}
