package com.enteprise.benefit_monitor_assess.domain;


import com.enteprise.common.annotation.Excel;
import com.enteprise.common.core.domain.BaseEntity;

public class BenefitMonitorAssess extends BaseEntity {
    //企业ID、时间（年度）、时间（季度）、所属行业、趋势分析情况/平均水平分析情况、企业运营评估结果；
    @Excel(name = "企业名称")
    private String enterpriseName;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 月份 */
    @Excel(name = "季度")
    private String season;

    /** 行业代码 */
    @Excel(name = "行业代码")
    private String code;

    /** 趋势分析 */
    @Excel(name = "趋势分析")
    private String trendAnalysis;
    /** 平均分析 */
    @Excel(name = "平均分析")
    private String avgAnalysis;
    /** 运营评估 */
    @Excel(name = "运营评估")
    private String operationalEvaluate;
    /** 评估方式*/
    private String mode;

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getSeason() {
        return season;
    }

    public void setSeason(String season) {
        this.season = season;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getTrendAnalysis() {
        return trendAnalysis;
    }

    public void setTrendAnalysis(String trendAnalysis) {
        this.trendAnalysis = trendAnalysis;
    }

    public String getAvgAnalysis() {
        return avgAnalysis;
    }

    public void setAvgAnalysis(String avgAnalysis) {
        this.avgAnalysis = avgAnalysis;
    }

    public String getOperationalEvaluate() {
        return operationalEvaluate;
    }

    public void setOperationalEvaluate(String operationalEvaluate) {
        this.operationalEvaluate = operationalEvaluate;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }
}
