package com.enteprise.predictyear.service;

import java.util.List;
import com.enteprise.predictyear.domain.Predictyear;

/**
 * predictyearService接口
 * 
 * @author ruoyi
 * @date 2024-09-26
 */
public interface IPredictyearService 
{
    /**
     * 查询predictyear
     * 
     * @param id predictyear主键
     * @return predictyear
     */
    public Predictyear selectPredictyearById(Long id);

    /**
     * 查询predictyear列表
     * 
     * @param predictyear predictyear
     * @return predictyear集合
     */
    public List<Predictyear> selectPredictyearList(Predictyear predictyear);

    /**
     * 新增predictyear
     * 
     * @param predictyear predictyear
     * @return 结果
     */
    public int insertPredictyear(Predictyear predictyear);

    /**
     * 修改predictyear
     * 
     * @param predictyear predictyear
     * @return 结果
     */
    public int updatePredictyear(Predictyear predictyear);

    /**
     * 批量删除predictyear
     * 
     * @param ids 需要删除的predictyear主键集合
     * @return 结果
     */
    public int deletePredictyearByIds(Long[] ids);

    /**
     * 删除predictyear信息
     * 
     * @param id predictyear主键
     * @return 结果
     */
    public int deletePredictyearById(Long id);
}
