package com.enteprise.priceindex.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.enteprise.common.annotation.Excel;
import com.enteprise.common.core.domain.BaseEntity;

/**
 * priceindex对象 price_index
 * 
 * @author ljx
 * @date 2025-02-07
 */
public class PriceIndex extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 代码 */
    @Excel(name = "代码")
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 月份 */
    @Excel(name = "月份")
    private Long month;

    /** 年份 */
    @Excel(name = "年份")
    private Long year;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 创建人 */
    @Excel(name = "创建人")
    private String creator;

    /** 指数 */
    @Excel(name = "指数")
    private Long index;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setMonth(Long month) 
    {
        this.month = month;
    }

    public Long getMonth() 
    {
        return month;
    }
    public void setYear(Long year) 
    {
        this.year = year;
    }

    public Long getYear() 
    {
        return year;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setCreator(String creator) 
    {
        this.creator = creator;
    }

    public String getCreator() 
    {
        return creator;
    }
    public void setIndex(Long index) 
    {
        this.index = index;
    }

    public Long getIndex() 
    {
        return index;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("month", getMonth())
            .append("year", getYear())
            .append("unit", getUnit())
            .append("creator", getCreator())
            .append("index", getIndex())
            .toString();
    }
}
