package com.enteprise.run_data_month.mapper;

import java.util.List;
import com.enteprise.run_data_month.domain.EnterpriseRunDataMonth;

/**
 * run_data_monthMapper接口
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
public interface EnterpriseRunDataMonthMapper 
{
    /**
     * 查询run_data_month
     * 
     * @param id run_data_month主键
     * @return run_data_month
     */
    public EnterpriseRunDataMonth selectEnterpriseRunDataMonthById(Long id);

    /**
     * 查询run_data_month列表
     * 
     * @param enterpriseRunDataMonth run_data_month
     * @return run_data_month集合
     */
    public List<EnterpriseRunDataMonth> selectEnterpriseRunDataMonthList(EnterpriseRunDataMonth enterpriseRunDataMonth);

    /**
     * 新增run_data_month
     * 
     * @param enterpriseRunDataMonth run_data_month
     * @return 结果
     */
    public int insertEnterpriseRunDataMonth(EnterpriseRunDataMonth enterpriseRunDataMonth);

    /**
     * 修改run_data_month
     * 
     * @param enterpriseRunDataMonth run_data_month
     * @return 结果
     */
    public int updateEnterpriseRunDataMonth(EnterpriseRunDataMonth enterpriseRunDataMonth);

    /**
     * 删除run_data_month
     * 
     * @param id run_data_month主键
     * @return 结果
     */
    public int deleteEnterpriseRunDataMonthById(Long id);

    /**
     * 批量删除run_data_month
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEnterpriseRunDataMonthByIds(Long[] ids);
}
