package com.enteprise.run_data_month.service;

import java.util.List;
import com.enteprise.run_data_month.domain.EnterpriseRunDataMonth;

/**
 * run_data_monthService接口
 * 
 * @author ruoyi
 * @date 2024-08-30
 */
public interface IEnterpriseRunDataMonthService 
{
    /**
     * 查询run_data_month
     * 
     * @param id run_data_month主键
     * @return run_data_month
     */
    public EnterpriseRunDataMonth selectEnterpriseRunDataMonthById(Long id);

    /**
     * 查询run_data_month列表
     * 
     * @param enterpriseRunDataMonth run_data_month
     * @return run_data_month集合
     */
    public List<EnterpriseRunDataMonth> selectEnterpriseRunDataMonthList(EnterpriseRunDataMonth enterpriseRunDataMonth);

    /**
     * 新增run_data_month
     * 
     * @param enterpriseRunDataMonth run_data_month
     * @return 结果
     */
    public int insertEnterpriseRunDataMonth(EnterpriseRunDataMonth enterpriseRunDataMonth);

    /**
     * 修改run_data_month
     * 
     * @param enterpriseRunDataMonth run_data_month
     * @return 结果
     */
    public int updateEnterpriseRunDataMonth(EnterpriseRunDataMonth enterpriseRunDataMonth);

    /**
     * 批量删除run_data_month
     * 
     * @param ids 需要删除的run_data_month主键集合
     * @return 结果
     */
    public int deleteEnterpriseRunDataMonthByIds(Long[] ids);

    /**
     * 删除run_data_month信息
     * 
     * @param id run_data_month主键
     * @return 结果
     */
    public int deleteEnterpriseRunDataMonthById(Long id);
}
