package com.enteprise.uploadfile.mapper;

import java.util.List;
import com.enteprise.uploadfile.domain.Uploadfile;

/**
 * uploadfileMapper接口
 * 
 * @author ruoyi
 * @date 2024-09-16
 */
public interface UploadfileMapper 
{
    /**
     * 查询uploadfile
     * 
     * @param id uploadfile主键
     * @return uploadfile
     */
    public Uploadfile selectUploadfileById(Long id);

    /**
     * 查询uploadfile列表
     * 
     * @param uploadfile uploadfile
     * @return uploadfile集合
     */
    public List<Uploadfile> selectUploadfileList(Uploadfile uploadfile);

    /**
     * 新增uploadfile
     * 
     * @param uploadfile uploadfile
     * @return 结果
     */
    public int insertUploadfile(Uploadfile uploadfile);

    /**
     * 修改uploadfile
     * 
     * @param uploadfile uploadfile
     * @return 结果
     */
    public int updateUploadfile(Uploadfile uploadfile);

    /**
     * 删除uploadfile
     * 
     * @param id uploadfile主键
     * @return 结果
     */
    public int deleteUploadfileById(Long id);

    /**
     * 批量删除uploadfile
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUploadfileByIds(Long[] ids);
}
